# Trait std::os::unix::prelude::ExitStatusExt [−] [src]

    pub trait ExitStatusExt {
        fn signal(&self) -> Option<i32>;
    }

Unix-specific extensions to `std::process::ExitStatus`

## Required Methods

### `fn signal(&self) -> Option<i32>`

If the process was terminated by a signal, returns that signal.

## Implementors

- `impl ExitStatusExt for ExitStatus`
- `impl ExitStatusExt for ExitStatus`

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize`)